Trustpilot API
企業評價平台 — 商家資料、評論、搜尋與分類。
- 商家:依網域取得商家資料
- 評論:分頁評論,支援星級與語言篩選
- 搜尋:依關鍵字搜尋商家
- 分類:瀏覽與搜尋商家分類
- 建議:商家名稱自動補全建議
商家
GET /trustpilot/businesses/:domain — 2 點數
依網域取得商家資料。
| 參數 | 類型 | 必填 | 預設 | 說明 |
|---|---|---|---|---|
domain | string | 是 | — | 商家網域(例如 www.amazon.com、stripe.com) |
cURL
curl -H "x-api-key: sk_byc_xxx" \
https://api.bycrawl.com/trustpilot/businesses/www.amazon.com回應
{
"id": "46ad346800006400050092d0",
"displayName": "Amazon",
"identifyingName": "www.amazon.com",
"websiteUrl": "https://www.amazon.com",
"numberOfReviews": 44451,
"trustScore": 1.7,
"stars": 1.5,
"profileImageUrl": "//s3-eu-west-1.amazonaws.com/tpd/screenshots/46ad346800006400050092d0/198x149.png",
"isClaimed": true,
"isClosed": false,
"categories": [
{ "id": "book_store", "name": "Book Store", "isPrimary": true }
],
"contactInfo": {
"email": "",
"address": "",
"city": "",
"country": "GB",
"phone": "",
"zipCode": ""
},
"activity": {
"hasSubscription": false,
"isAskingForReviews": false,
"claimedDate": "2015-02-18T19:08:43.000Z",
"replyPercentage": 0,
"averageDaysToReply": 0
}
}GET /trustpilot/businesses/:domain/reviews — 2 點數
取得商家評論。
| 參數 | 類型 | 必填 | 預設 | 說明 |
|---|---|---|---|---|
domain | string | 是 | — | 商家網域 |
page | integer | 否 | 1 | 頁碼(1-100) |
sort | string | 否 | recency | 排序方式:recency(最新)、relevance(相關性) |
stars | integer | 否 | — | 依星級篩選(1-5) |
languages | string | 否 | all | 語言篩選 ISO 代碼(例如 en、all) |
cURL
curl -H "x-api-key: sk_byc_xxx" \
"https://api.bycrawl.com/trustpilot/businesses/www.amazon.com/reviews?page=1&stars=5"回應
{
"reviews": [
{
"id": "69b5f6971e4eed0a09382028",
"title": "Late on most of their shipments",
"text": "I do not know what is going on...",
"rating": 1,
"language": "en",
"likes": 0,
"dates": {
"experiencedDate": "2026-03-14T00:00:00.000Z",
"publishedDate": "2026-03-15T02:00:23.000Z",
"updatedDate": null
},
"consumer": {
"id": "5a05b9c10000ff000ae0d9dc",
"displayName": "KEITH GAYLORD",
"numberOfReviews": 46,
"countryCode": "US",
"imageUrl": "https://user-images.trustpilot.com/5a05b9c10000ff000ae0d9dc/73x73.png",
"isVerified": false
},
"reply": null,
"isVerified": false,
"source": "Organic"
}
],
"pagination": {
"currentPage": 1,
"totalPages": 2102,
"totalCount": 42031,
"perPage": 20
},
"filters": {
"sort": "recency",
"stars": null,
"languages": "all"
}
}搜尋
GET /trustpilot/businesses/search — 2 點數
搜尋 Trustpilot 上的商家。
| 參數 | 類型 | 必填 | 預設 | 說明 |
|---|---|---|---|---|
q | string | 是 | — | 搜尋關鍵字 |
page | integer | 否 | 1 | 頁碼(1-100) |
cURL
curl -H "x-api-key: sk_byc_xxx" \
"https://api.bycrawl.com/trustpilot/businesses/search?q=stripe"回應
{
"businesses": [
{
"businessUnitId": "50489e6800006400051ae0d6",
"displayName": "Stripe",
"identifyingName": "stripe.com",
"numberOfReviews": 16886,
"trustScore": 1.8,
"stars": 2,
"logoUrl": "//s3-eu-west-1.amazonaws.com/tpd/logos/50489e6800006400051ae0d6/0x0.png",
"websiteUrl": "https://stripe.com",
"verified": true,
"categories": [
{ "id": "payment_service", "name": "Payment Service" }
],
"location": {
"country": "United States",
"city": "San Francisco",
"street": "510 Townsend Street",
"postcode": "94103"
}
}
],
"pagination": {
"currentPage": 1,
"totalPages": 43,
"totalResults": 211
}
}分類
GET /trustpilot/categories/search — 1 點數
搜尋 Trustpilot 商家分類。
| 參數 | 類型 | 必填 | 預設 | 說明 |
|---|---|---|---|---|
q | string | 是 | — | 分類搜尋關鍵字 |
cURL
curl -H "x-api-key: sk_byc_xxx" \
"https://api.bycrawl.com/trustpilot/categories/search?q=payment"回應
[
{ "id": "bank", "name": "Bank", "parentId": "money_insurance" },
{ "id": "savings_bank", "name": "Savings Bank", "parentId": "money_insurance" }
]建議
GET /trustpilot/suggestions — 1 點數
取得商家名稱自動補全建議(純文字)。
| 參數 | 類型 | 必填 | 預設 | 說明 |
|---|---|---|---|---|
q | string | 是 | — | 自動補全搜尋關鍵字 |
cURL
curl -H "x-api-key: sk_byc_xxx" \
"https://api.bycrawl.com/trustpilot/suggestions?q=stripe"回應
[
{ "query": "Stripe" },
{ "query": "Stripe Atlas" }
]